View Issue Details

IDProjectCategoryView StatusLast Update
0003197FreeCADBugpublic2017-12-05 16:05
ReporterplgarciaAssigned Toeivindkvedalen 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0003197: Auto-completion in edition of formulas
DescriptionAutocompletion does not work in complex formulas suche as Cube.Length + Cube.Placement.Base.x
It does work only for the first member of the formula.


Version of the product :
OS: Windows 7
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.12196 (Git)
Build type: Release
Branch: master
Hash: 6f2d59540a9b1647eeb9b95ca0fffdc1439f2a87
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: French/France (fr_FR)
Steps To ReproduceEditing a complex forluma such as :
Cube.Length + Cube.Placement.Base.x


Full description found in forum :
     https://forum.freecadweb.org/viewtopic.php?f=10&t=24595&p=193014#p193014

Tagsexpressions, spreadsheet

Relationships

related to 0002467 assignedeivindkvedalen Expressions Expression auto-completer slows down FreeCAD 

Activities

plgarcia

2017-10-06 19:46

reporter   ~0010255

May I suggest that only the labels of the objects are presented as they are the only references the user knows.
This needs a conversion from name to label when editing if the name is used in a formula.
As shown in figure Cut02, or Cylinder001 are not references for object known by the user as they hace been renamed.

Capture5.JPG (64,233 bytes)
Capture5.JPG (64,233 bytes)

wmayer

2017-12-05 16:05

administrator   ~0010517

https://github.com/FreeCAD/FreeCAD/commit/75d006a97df65abef578c1d4dfc50ff2e89922c1

Issue History

Date Modified Username Field Change
2017-09-24 12:23 plgarcia New Issue
2017-09-24 19:52 Kunda1 Tag Attached: expressions
2017-09-24 19:52 Kunda1 Tag Attached: spreadsheet
2017-09-28 13:43 wmayer Status new => confirmed
2017-10-05 15:42 Kunda1 Relationship added related to 0002467
2017-10-06 15:24 SparkyCola Assigned To => SparkyCola
2017-10-06 15:24 SparkyCola Status confirmed => assigned
2017-10-06 19:46 plgarcia File Added: Capture5.JPG
2017-10-06 19:46 plgarcia Note Added: 0010255
2017-12-05 03:42 Kunda1 Target Version => 0.17
2017-12-05 16:05 wmayer Assigned To SparkyCola => eivindkvedalen
2017-12-05 16:05 wmayer Status assigned => closed
2017-12-05 16:05 wmayer Resolution open => fixed
2017-12-05 16:05 wmayer Fixed in Version => 0.17
2017-12-05 16:05 wmayer Note Added: 0010517